Modeler

Endpoints related to modeler.

GET /modeler/

Get list of modelers with optional filters

Get list of modelers with optional filters

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – RecordNotFound: This means either the record you are trying to access doesn’t exists, or you do not have permission to access it

  • 400 Bad Request – InvalidType: You have provided a value for ‘type’ that is not a recognized modeler type This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address.

POST /modeler/

Create a new modeler

Create a new modeler

Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – RecordNotFound: This means either the record you are trying to access doesn’t exists, or you do not have permission to access it

  • 400 Bad Request – InvalidType: You have provided a value for ‘type’ that is not a recognized modeler type This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address.

Response Headers:
  • Location – URI of the created resource

GET /modeler/{uuid}/

Get a modeler by URI

Get a modeler by URI

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – RecordNotFound: This means either the record you are trying to access doesn’t exists, or you do not have permission to access it

  • 400 Bad Request – InvalidType: You have provided a value for ‘type’ that is not a recognized modeler type This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address.

PUT /modeler/{uuid}/

Modify an existing modeler

Modify an existing modeler

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 404 Not Found – RecordNotFound: This means either the record you are trying to access doesn’t exists, or you do not have permission to access it

  • 400 Bad Request – InvalidType: You have provided a value for ‘type’ that is not a recognized modeler type This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address.

DELETE /modeler/{uuid}/

Delete an existing modeler

Delete an existing modeler

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource deleted successfully

  • 404 Not Found – RecordNotFound: This means either the record you are trying to access doesn’t exists, or you do not have permission to access it

  • 400 Bad Request – InvalidType: You have provided a value for ‘type’ that is not a recognized modeler type This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address.